Maximal square | Dynamic programming | Leetcode

แชร์
ฝัง
  • เผยแพร่เมื่อ 12 พ.ย. 2024

ความคิดเห็น • 32

  • @williamaldridge975
    @williamaldridge975 หลายเดือนก่อน

    thank you! this explanation is far more clear than those i watched before

  • @manikandanganesan8770
    @manikandanganesan8770 14 วันที่ผ่านมา

    Very simple and nice Explanation

  • @thellaidhinesh8929
    @thellaidhinesh8929 6 หลายเดือนก่อน +3

    i thought this was very complexed problem. after watching this video, i got the confidence to solve this problem. Thanks alisha!

  • @manojtate9604
    @manojtate9604 8 หลายเดือนก่อน

    Great clarification! 😃

  • @ankk98
    @ankk98 11 หลายเดือนก่อน

    The intuition behind this algo is that we are checking for all possible squares ending at the given index.
    So, we are using the results of maximum sized squares ending at 3 adjacent indexes and using that information to find out the max possible solution at current index.

  • @amanchaudhary8817
    @amanchaudhary8817 4 หลายเดือนก่อน

    excellent explanation mam.

  • @Shivam-wl7fg
    @Shivam-wl7fg 10 หลายเดือนก่อน

    Nice Explanation 😃

  • @prasannaprabhakar1323
    @prasannaprabhakar1323 2 ปีที่แล้ว

    The way you are conveying the intuition part of the solution creates the difference.
    Nice choice of questions btw.

  • @shivanshpareek7278
    @shivanshpareek7278 2 ปีที่แล้ว +2

    please add the link as well and ur playlists are best way to revise and the way you explain gives me confidence to speak in interviews ..
    Thanks a lot for amazing content

  • @pabitrakb5291
    @pabitrakb5291 8 หลายเดือนก่อน

    Nice explanation 😊

  • @Coding_Destini
    @Coding_Destini ปีที่แล้ว

    Thank you so much for this approach ... this is really easy

  • @kpjVideo
    @kpjVideo 2 ปีที่แล้ว

    Great explanation! This helped a bunch!

  • @BereniceVirginis
    @BereniceVirginis 9 หลายเดือนก่อน

    Space Complexity: O(1)
    int maxSquare(int n, int m, vector mat){
    // code here
    int ans=0;
    for(int i=0;i

  • @shivanshyadu4830
    @shivanshyadu4830 2 ปีที่แล้ว +1

    Ufff didi one of the best place and you just explained the code in really easy way, I saw everyone's video but they just copy pasting the solution ❤❤😊

  • @PAVITHRAR-x9c
    @PAVITHRAR-x9c 5 หลายเดือนก่อน

    I have a dought, you are returning the max area by 3* 3 but the right area is 2*3 right???

  • @AshishVerma-m4v
    @AshishVerma-m4v ปีที่แล้ว

    thankyou so much worth watching!!!!

  • @willingtushar
    @willingtushar 2 ปีที่แล้ว +1

    Nice explanation Indeed!

  • @govinth2462
    @govinth2462 11 หลายเดือนก่อน

    I mam I want talk with your about my features opportunity where can connect with you

  • @duck3072
    @duck3072 2 ปีที่แล้ว +2

    Can we solve problems by filling dp from last cell to first

  • @anupamojha3836
    @anupamojha3836 2 ปีที่แล้ว

    very nice explaination

  • @raj_kundalia
    @raj_kundalia ปีที่แล้ว

    thank you!

  • @shanidandanayak3806
    @shanidandanayak3806 7 หลายเดือนก่อน

    Arigatho

  • @anshulbhati5752
    @anshulbhati5752 2 ปีที่แล้ว

    greatt explanation!

  • @shouryagupta8763
    @shouryagupta8763 2 ปีที่แล้ว

    thanks a lot didi!

  • @vikashdhania2970
    @vikashdhania2970 2 ปีที่แล้ว

    thanks mam

  • @rudrakshsharma4601
    @rudrakshsharma4601 2 ปีที่แล้ว

    nice work alisha

  • @tiger7858
    @tiger7858 ปีที่แล้ว +1

    inside if( i = = 0 || j = = 0) you are doing unnecessary work you can leave it as it is , nice explanation overall 🙏thank you